GET /budget
Return the caller's current budget summary.
curl "https://api.ellipsis.dev/v1/budget" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"budget_usd": 0,
"fraction_used": 0,
"pause_at_limit": false,
"period": "string",
"remaining_usd": 0,
"spent_usd": 0,
"window": {
"end": "string",
"start": "string"
}
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.budget()
print(result){
"budget_usd": 0,
"fraction_used": 0,
"pause_at_limit": false,
"period": "string",
"remaining_usd": 0,
"spent_usd": 0,
"window": {
"end": "string",
"start": "string"
}
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.budget();
console.log(result);{
"budget_usd": 0,
"fraction_used": 0,
"pause_at_limit": false,
"period": "string",
"remaining_usd": 0,
"spent_usd": 0,
"window": {
"end": "string",
"start": "string"
}
}No request body.
{
"properties": {
"budget_usd": {
"type": "number"
},
"fraction_used": {
"type": "number"
},
"pause_at_limit": {
"type": "boolean"
},
"period": {
"type": "string"
},
"remaining_usd": {
"type": "number"
},
"spent_usd": {
"type": "number"
},
"window": {
"properties": {
"end": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"start": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"start",
"end"
],
"type": "object"
}
},
"required": [
"period",
"window",
"budget_usd",
"spent_usd",
"remaining_usd",
"fraction_used",
"pause_at_limit"
],
"type": "object"
}